SPI_CURSOR_FETCH(3)

NAME
SPI_cursor_fetch - fetch some rows from a cursor

SYNOPSIS

void SPI_cursor_fetch(Portal portal, bool forward, long count)

DESCRIPTION

SPI_cursor_fetch fetches some rows from a cursor. This is equivalent to a subset of the SQL command FETCH (see SPI_scroll_cursor_fetch for more functionality).

ARGUMENTS

Portal portal
    portal containing the cursor

bool forward
    true for fetch forward, false for fetch backward

long count
    maximum number of rows to fetch

RETURN VALUE

SPI_processed and SPI_tuptable are set as in SPI_execute if successful.

NOTES

Fetching backward may fail if the cursor's plan was not created with the CURSOR_OPT_SCROLL option.